Skip to main content
Create Order Quote
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/order/quote \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "token_id": "<string>",
  "side": "<string>",
  "amount": "<string>",
  "units": "<string>"
}
'
{
  "success": true,
  "response": {
    "amount": "100.000",
    "shares": "152.300",
    "average_price": "0.657",
    "best_price": "0.652",
    "slippage": "0.766"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Body

application/json
token_id
string
required
side
string
required

BUY or SELL.

amount
string
required

Order amount as string or number.

units
string
required

USDC or SHARES.

Response

200 - application/json

Polygon quote